<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class UsefulInfoItemResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array
    {
        $lang = $request->header('Accept-Language') ?? 'ru';
        if (isset($this->description['uz']) && isset($this->description['ru'])) {
            $description = $this->description[$lang];
        } else {
            $description = null;
        }

        return [
            'id' => $this->id,
            'name' => $this->name[$lang],
            'description' => $description,
            'video_url' => isset($this->video_url) ? $this->video_url : null,
            'link_url' => isset($this->link_url) ? $this->link_url : null,
            'file_url' => isset($this->file_url) ? $this->getFile() : null,
        ];
    }
}
